Back to Cal

Quick start

docs/api-reference/v1/introduction.mdx

6.2.01.5 KB
Original Source
<Warning> **API v1 is deprecated and will be discontinued on February 15, 2026.** Please migrate to [API v2](/api-reference/v2/introduction) as soon as possible. </Warning>

Get your API keys

Your API requests are authenticated using API keys. Any request that doesn't include an API key will return an error.

You can generate an API key from Settings > Security within the application. There you will find the API keys section which allows you to generate a key for use.

More information on this can be found in the Authentication page.

Install the library

The best way to interact with our API is using a good HTTP client like axios:

<Tabs> <Tab title="Node"> ``` # Install via NPM npm install --save axios
# Install via Yarn
yarn add axios
```
</Tab> <Tab title="Python"> ``` # Install via pip pip install --upgrade requests ``` </Tab> </Tabs>

Make your first request

To make your first request, send an authenticated request to the event-types endpoint. This will list all of your event types.

Example using curl:

<Tabs> <Tab title="Curl"> ``` curl https://api.cal.com/v1/event-types?apiKey=cal_test_xxxxxx ``` </Tab> </Tabs>

Try our Postman Collection

We've created a small collection of frequently made API calls that you can try in our Postman Collection